using Abp.Application.Services.Dto;
using MineTec.ProManager.Authorization.Users.Profile.Dto;
using System.Threading.Tasks;

namespace MineTec.ProManager.Authorization.Users.Profile
{
    public interface IProfileAppService
    {
        Task ChangePhoneNumber(ChangePhoneNumberDto input);

        Task ChangePassword(ChangePasswordDto input);

        Task<GetProfilePictureOutput> GetProfilePicture();

        Task<GetProfilePictureOutput> GetProfilePictureByUser(EntityDto<long> input);

        Task UpdateProfilePicture(UpdateProfilePictureInput input);
    }
}
